# Define the kmod package name here.
%define kmod_name r8169

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-71.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 6.013.00_NAPI
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPL v2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.realtek.com.tw/

BuildRequires: rpm-build, redhat-rpm-config
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  %{kmod_name}-%{version}.tar.bz2
Source5:  GPL-v2.0.txt
Source10: kmodtool-el6-%{kmod_name}.sh
Source20: ELRepo-Makefile-%{kmod_name}

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kversion} "" 2>/dev/null)}

# Disable the building of the debug package(s).
%define	debug_package %{nil}

%description
This package provides the %{kmod_name} kernel modules for Realtek RTL8169, RTL8169SB(L),
RTL8169SC(L), RTL8110S-32, RTL8110SB(L) and RTL8110SC(L) Gigabit Ethernet controllers
with the PCI-Express interface.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n %{kmod_name}-%{version}
%{__cp} -a %{SOURCE5} .
%{__rm} -f src/Makefile*
%{__cp} -a %{SOURCE20} src/Makefile
%{__cat} <<-EOF > %{kmod_name}.conf
	override %{kmod_name} * weak-updates/%{kmod_name}
	EOF

%build
ksrc=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${ksrc}" %{?_smp_mflags} modules M=$PWD/src

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
ksrc=%{_usrsrc}/kernels/%{kversion}
%{__make} -C "${ksrc}" modules_install M=$PWD/src
%{__install} -d ${INSTALL_MOD_PATH}/etc/depmod.d/
%{__install} %{kmod_name}.conf ${INSTALL_MOD_PATH}/etc/depmod.d/
%{__install} -d ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} GPL-v2.0.txt ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} readme ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec %{__strip} --strip-debug \{\} \;
# Remove the files that are not required.
%{__rm} -f ${INSTALL_MOD_PATH}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 26 2010 Alan Bartlett <ajb@elrepo.org> - 6.013.00_NAPI-1
- Initial el6 build of the kmod package.

